### Function

# PangoFT2.render_layout_line_subpixel

#### Declaration [src]

    void
    pango_ft2_render_layout_line_subpixel (
      FT_Bitmap* bitmap,
      PangoLayoutLine* line,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayoutLine` onto a FreeType2 bitmap, with he location specified in fixed-point Pango units rather than pixels. (Using this will avoid extra inaccuracies from rounding to integer pixels multiple times, even if the final glyph positions are integers.)

#### Parameters

`bitmap` | `FT_Bitmap*`
| a FT_Bitmap to render the line onto
| Ownership is not transferred to the callee
`line` | `PangoLayoutLine*`
| a `PangoLayoutLine`
| Ownership is not transferred to the callee
`x` | `int`
| the x position of start of string (in Pango units)
`y` | `int`
| the y position of baseline (in Pango units)